Bug 821457 - [rhevm-config] - Missing engine-config.properties file gives incorrect error message [TEXT]
[rhevm-config] - Missing engine-config.properties file gives incorrect error ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Doron Fediuck
yeylon@redhat.com
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 10:43 EDT by David Botzer
Modified: 2016-04-18 02:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 16:25:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Botzer 2012-05-14 10:43:46 EDT
Description of problem:
When the engine-config.properties file is missing I get the following error message:
---
Files /usr/share/ovirt-engine/engine-config/engine-config.properties,
/usr/share/ovirt-engine/engine-config/engine-config_en_US.properties,
/etc/ovirt-engine/engine-config/engine-config.properties,
/etc/ovirt-engine/engine-config/engine-config_en_US.properties
---

Version-Release number of selected component (if applicable):
rhevm 3.1, SI3

How reproducible:
always

Steps to Reproduce:
1.Move or delete the engine-config.properties from /etc/ovirt-engine/engine-config
2.run any command, e.x - engine-config --get VdsRefreshRate
  
Actual results:
Improper error message

Expected results:
Should display the message 
"properties file couldn't be found in any of the locations"
And following the locations of the files in each line per file

Additional info:

rhevm-config --get RDPLoginWithFQN
Files /usr/share/ovirt-engine/engine-config/engine-config.properties,    -< Only the script engine-config is located here
/usr/share/ovirt-engine/engine-config/engine-config_en_US.properties, < what is this ?
/etc/ovirt-engine/engine-config/engine-config.properties,
/etc/ovirt-engine/engine-config/engine-config_en_US.properties does not exist
Comment 2 Itamar Heim 2013-01-09 16:25:51 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.